Skip to content
BleemeoBleemeo

Update a notification target

PUT
/v1/notificationtarget/{id}/
curl --request PUT \
--url https://example.com/v1/notificationtarget/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "display_name": "example", "target": "example", "time_from": "example", "time_to": "example", "notify_on_monday": true, "notify_on_tuesday": true, "notify_on_wednesday": true, "notify_on_thursday": true, "notify_on_friday": true, "notify_on_saturday": true, "notify_on_sunday": true, "notify_on_ok": true, "notify_on_warning": true, "notify_on_critical": true, "integration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "rules": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "contactsgroups": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "private_target": true, "enabled": true }'

Replace all fields of an existing notification target.

id
required
string format: uuid

A UUID string identifying this notification target.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
display_name
required
string
<= 300 characters
target
string
<= 300 characters
time_from
string format: time
nullable
time_to
string format: time
nullable
notify_on_monday
boolean
notify_on_tuesday
boolean
notify_on_wednesday
boolean
notify_on_thursday
boolean
notify_on_friday
boolean
notify_on_saturday
boolean
notify_on_sunday
boolean
notify_on_ok
boolean
notify_on_warning
boolean
notify_on_critical
boolean
integration
required
string format: uuid
rules
Array<string>
contactsgroups
Array<string>
last_error_message
required
string
nullable
private_target
boolean
oncall_count
required
integer
enabled
boolean
Examplegenerated
{
"display_name": "example",
"target": "example",
"time_from": "example",
"time_to": "example",
"notify_on_monday": true,
"notify_on_tuesday": true,
"notify_on_wednesday": true,
"notify_on_thursday": true,
"notify_on_friday": true,
"notify_on_saturday": true,
"notify_on_sunday": true,
"notify_on_ok": true,
"notify_on_warning": true,
"notify_on_critical": true,
"integration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"rules": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"contactsgroups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"private_target": true,
"enabled": true
}
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
display_name
required
string
<= 300 characters
target
string
<= 300 characters
time_from
string format: time
nullable
time_to
string format: time
nullable
notify_on_monday
boolean
notify_on_tuesday
boolean
notify_on_wednesday
boolean
notify_on_thursday
boolean
notify_on_friday
boolean
notify_on_saturday
boolean
notify_on_sunday
boolean
notify_on_ok
boolean
notify_on_warning
boolean
notify_on_critical
boolean
integration
required
string format: uuid
rules
Array<string>
contactsgroups
Array<string>
last_error_message
required
string
nullable
private_target
boolean
oncall_count
required
integer
enabled
boolean
Examplegenerated
{
"display_name": "example",
"target": "example",
"time_from": "example",
"time_to": "example",
"notify_on_monday": true,
"notify_on_tuesday": true,
"notify_on_wednesday": true,
"notify_on_thursday": true,
"notify_on_friday": true,
"notify_on_saturday": true,
"notify_on_sunday": true,
"notify_on_ok": true,
"notify_on_warning": true,
"notify_on_critical": true,
"integration": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"rules": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"contactsgroups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"private_target": true,
"enabled": true
}